Manager/Controllers/Pub_TrainController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using Manager.Helpers;

namespace Manager.Controllers
{
    [CustomAuthorize(Roles = "User")]
    public partial class Pub_TrainController : Controller
    {
        private DataBaseContext db = new DataBaseContext();

        // GET: Pub_Train
        public virtual ActionResult Index()
        {
            var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
            var pub_Trains = db.Pub_Trains.Include(p => p.User).Where(p => p.UserID == ID);
            return View(pub_Trains.ToList());
        }

        // GET: Pub_Train/Details/5
        public virtual ActionResult Details(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Pub_Train pub_Train = db.Pub_Trains.Find(id);
            if (pub_Train == null)
            {
                return HttpNotFound();
            }
            return View(pub_Train);
        }

        // GET: Pub_Train/Create
        public virtual ActionResult Create()
        {
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname");
            return View();
        }

        // POST: Pub_Train/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Create([Bind(Include = "ID,Onvan_Train,Dastgah_Train,Date_Train,Modat_Train,Mahal_Train,UserID")] Pub_Train pub_Train)
        {
            if (ModelState.IsValid)
            {
                var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
                pub_Train.UserID = ID;
                db.Pub_Trains.Add(pub_Train);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", pub_Train.UserID);
            return View(pub_Train);
        }

        // GET: Pub_Train/Edit/5
        public virtual ActionResult Edit(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Pub_Train pub_Train = db.Pub_Trains.Find(id);
            if (pub_Train == null)
            {
                return HttpNotFound();
            }
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", pub_Train.UserID);
            return View(pub_Train);
        }

        // POST: Pub_Train/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Edit([Bind(Include = "ID,Onvan_Train,Dastgah_Train,Date_Train,Modat_Train,Mahal_Train,UserID")] Pub_Train pub_Train)
        {
            if (ModelState.IsValid)
            {
                db.Entry(pub_Train).State = EntityState.Modified;
                var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
                pub_Train.UserID = ID;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", pub_Train.UserID);
            return View(pub_Train);
        }

        // GET: Pub_Train/Delete/5
        public virtual ActionResult Delete(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Pub_Train pub_Train = db.Pub_Trains.Find(id);
            if (pub_Train == null)
            {
                return HttpNotFound();
            }
            return View(pub_Train);
        }

        // POST: Pub_Train/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public virtual ActionResult DeleteConfirmed(long id)
        {
            Pub_Train pub_Train = db.Pub_Trains.Find(id);
            db.Pub_Trains.Remove(pub_Train);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

Manager/Views/Pub_Train/Create.cshtml
@model DomainClass.Pub_Train

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>دوره های آموزشی عمومی، فرهنگی - اجتماعی و فناوری اطلاعات</h4>
<h4>ثبت اطلاعات</h4>
<hr />

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Onvan_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-6">
                @Html.EditorFor(model => model.Onvan_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Onvan_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Dastgah_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-4">
                @Html.EditorFor(model => model.Dastgah_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Dastgah_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Date_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.Date_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Date_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Modat_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.Modat_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Modat_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Mahal_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-3">
                @Html.EditorFor(model => model.Mahal_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Mahal_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        @*<div class="form-group">
            @Html.LabelFor(model => model.UserID, "UserID", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserID", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
            </div>
        </div>*@
<hr/>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
                @Html.ActionLink("بازگشت", "Index", "Pub_Train", new { @class = "btn btn-danger" })
            </div>
        </div>
    </div>
}

Manager/Views/Pub_Train/Delete.cshtml
@model DomainClass.Pub_Train

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>حذف اطلاعات</h4>

<h4>آیا برای حذف اطلاعات اطمینان دارید؟</h4>
<hr />
<div>
    <dl class="dl-horizontal">
        <dt>شماره ملی
            @*@Html.DisplayNameFor(model => model.User.Lname)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Onvan_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Onvan_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Dastgah_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Dastgah_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Modat_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Modat_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Mahal_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Mahal_Train)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="حذف اطلاعات" class="btn btn-danger" /> |
            @Html.ActionLink("بازگشت", "Index", "Pub_Train", new { @class = "btn btn-warning" })
        </div>
    }
</div>

Manager/Views/Pub_Train/Details.cshtml
@model DomainClass.Pub_Train

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>دوره های آموزشی عمومی، فرهنگی - اجتماعی و فناوری اطلاعات</h4>
<hr />

<div>
    <dl class="dl-horizontal">
        <dt>شماره ملی
            @*@Html.DisplayNameFor(model => model.User.Lname)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Onvan_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Onvan_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Dastgah_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Dastgah_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Modat_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Modat_Train)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Mahal_Train)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Mahal_Train)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("ویرایش", "Edit", new { id = Model.ID }, new { @class = "btn btn-primary" }) |
    @Html.ActionLink("بازگشت", "Index", "Pub_Train", new { @class = "btn btn-danger" })
</p>

Manager/Views/Pub_Train/Edit.cshtml
@model DomainClass.Pub_Train

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>دوره های آموزشی عمومی، فرهنگی - اجتماعی و فناوری اطلاعات</h4>
<h4>ویرایش اطلاعات</h4>
<hr />

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ID)
        <div class="form-group">
            @Html.LabelFor(model => model.Onvan_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-6">
                @Html.EditorFor(model => model.Onvan_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Onvan_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Dastgah_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-4">
                @Html.EditorFor(model => model.Dastgah_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Dastgah_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Date_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.Date_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Date_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Modat_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.Modat_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Modat_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Mahal_Train, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-3">
                @Html.EditorFor(model => model.Mahal_Train, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Mahal_Train, "", new { @class = "text-danger" })
            </div>
        </div>

        @*<div class="form-group">
                @Html.LabelFor(model => model.UserID, "UserID", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("UserID", null, htmlAttributes: new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
                </div>
            </div>*@
        <hr />
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
                @Html.ActionLink("بازگشت", "Index", "Pub_Train", new { @class = "btn btn-danger" })
            </div>
        </div>
    </div>
}

Manager/Views/Pub_Train/Index.cshtml
@model IEnumerable<DomainClass.Pub_Train>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>دوره های آموزشی عمومی، فرهنگی - اجتماعی و فناوری اطلاعات</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "Pub_Train", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>شماره ملی
            @Html.DisplayNameFor(model => model.User.Lname)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Onvan_Train)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Dastgah_Train)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Date_Train)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Modat_Train)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Mahal_Train)
        </th>*@
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Onvan_Train)
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.Dastgah_Train)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Date_Train)
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.Modat_Train)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Mahal_Train)
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>